<?php

namespace Dj3c1t\AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;

class DefaultController extends Controller {

    public function indexAction() {
        $default_route = array(
            "route" => "admin",
            "parameters" => array(),
        );
        $defaultRouteParameter = $this->container->getParameter("default_route");
        if($defaultRouteParameter) {
            if(is_array($defaultRouteParameter)) {
                if(isset($defaultRouteParameter['route'])) {
                    $default_route['route'] = $defaultRouteParameter['route'];
                }
                if(isset($defaultRouteParameter['parameters']) && is_array($defaultRouteParameter['parameters'])) {
                    foreach($defaultRouteParameter['parameters'] as $key => $value) {
                        $default_route['parameters'][$key] = $value;
                    }
                }
            }
            else {
                $default_route['route'] = $defaultRouteParameter;
            }
        }
        return $this->redirect(
            $this->generateUrl($default_route['route'], $default_route['parameters'])
        );
    }

}
