<?php

namespace Dj3c1t\SourceMLBundle\Entity;

use Doctrine\ORM\EntityRepository;

use Dj3c1t\AppBundle\Entity\User;
use Dj3c1t\JQFileUploadBundle\Entity\Media;
use Dj3c1t\SourceMLBundle\Entity\Source;

class SourceAuthorRepository extends EntityRepository {

    public function getNotValidatedSourceAuthors(User $user) {
        $em = $this->getEntityManager();
        $query = $em->createQuery("
            SELECT sa FROM Dj3c1tSourceMLBundle:SourceAuthor sa
            JOIN sa.author a
            JOIN a.user u
            Where u.id = :user_id
            and sa.isValid = false
        ")->setParameters(
            array(
                "user_id" => $user->getId()
            )
        );
        return $query->getResult();
    }

}
