<?php

namespace Dj3c1t\SourceMLBundle\Controller\Source;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

use Dj3c1t\SourceMLBundle\Entity\Source;

class XmlController extends Controller {

    public function sourceAction(Request $request, Source $source) {
        $sm = $this->get('sourceml.source_manager');
        if(!($content = $sm->getXmlFromSource($source))) {
            $response = new Response("<source></source>");
        }
        else {
            $response = new Response($content);
        }
        $response->headers->set('Content-Type', 'application/xml');
        return $response;
    }

}
